Skip to main content
POST
Request presigned upload URL

Authorizations

Authorization
string
header
required

API key authentication. Use format: Authorization: Bearer tavrn_sk_live_...

Path Parameters

case_id
string
required

Case ID

Body

application/json
file_name
string
required

File name

Example:

"medical_record.pdf"

file_type
string
required

MIME type

Example:

"application/pdf"

Response

Presigned URL generated

upload_id
string<uuid>
required

Temporary upload identifier. Consume within one hour of signing.

Example:

"11111111-1111-4111-8111-111111111111"

upload_url
string
required

Presigned PUT URL. Upload bytes within 15 minutes.

Example:

"https://s3.amazonaws.com/..."

expires_at
string<date-time>
required

Upload identifier expiry, one hour after signing. The PUT URL expires after 15 minutes.

Example:

"2025-02-01T13:34:56Z"